footer {
	position: relative;
	z-index: 50;
	background: #fff
}
.footer-blur-overlay {
	position: absolute;
	bottom: 100%;
	left: 0;
	width: 100%;
	height: 1000px;
	background: linear-gradient(180deg, rgba(0, 0, 0, 0.00) 0%, rgba(102, 102, 102, 0.10) 67.83%);
	backdrop-filter: blur(4.449999809265137px);
	-webkit-backdrop-filter: blur(10px); /* ✅ Cho Safari */
	opacity: 0;
	pointer-events: none;
	z-index: 100;
	transition: opacity 0.3s ease;
}


.footer {
	border: 1px solid #f1f1f1;
	position: relative;
	overflow: hidden;
}

.footer__main {
	width: 93.5625rem;
	height: 24.9375rem;
	margin-left: auto;
	margin-right: auto;
	display: flex;
}

.footer__bg--left img {
	background-size: cover;
	width: 57.5625rem;
	height: 27.8125rem;
	position: absolute;
	top: -2.675rem;
	left: -6.875rem;
	opacity: 0.5;
}

.footer__left {
	display: flex;
	width: 57.45rem;
	justify-content: space-between;
	border-right: 1px solid #f1f1f1;
}

.footer__logo {
	position: relative;
	z-index: 30;
}

.footer__logo img {
	margin-top: 3.5rem;
	height: 4.5rem;
	width: 16.80975rem;
}

.footer__logo p {
	margin-top: 2.4375rem;
	color: #aaa;
	font-size: 0.875rem;
	font-style: normal;
	font-weight: 400;
	line-height: 1.42188rem; /* 162.5% */
	width: 19.65265rem;
}

.footer__link {
	display: flex;
}

.footer__link {
	display: flex;
}

.footer__link nav {
	padding-top: 3.5rem;

	margin-right: 4.125rem;
}

.footer__link--desc {
	padding-top: 3.5rem;
	padding-right: 3.065rem;


}

.footer__link li a {
	color: #333;
	font-size: 1.5rem;
	font-style: normal;
	font-weight: 400;
	line-height: 2.49319rem; /* 166.213% */
	text-decoration: none;
	position: relative;
	padding-right: 0.325rem;
	transition: color 0.3s ease;
}

.footer__link li a::before {
	content: "";
	position: absolute;
	bottom: 0;
	left: 0;
	height: 0.1875rem;
	width: 0;
	background-color: #1550e5;
	transition: width 0.3s ease;
}

.footer__link li a:hover::before,
.footer__link li a.active::before {
	width: 100%;
}

.footer__link li a .footer__link-img {
	display: inline-block;
	width: 0.44263rem;
	height: 0.43794rem;
	position: absolute;
	top: 0;
	right: -0.5rem;
	opacity: 0;
	transform: translateX(-5px);
	transition: opacity 0.3s ease, transform 0.3s ease;
}

.footer__link .active .footer__link-img {
	opacity: 1;
	transform: translateX(0);
}

.footer__link li:hover .footer__link-img,
.footer__link li a.active::after {
	opacity: 1;
	transform: translateX(0);
}

.footer__link li a:hover,
.footer__link li a.active {
	color: #1550e5;
}

.desc__title {
	display: flex;
	align-items: center;
}

.desc__title p {
	position: relative;
	color: #333;
	font-size: 0.875rem;
	font-style: normal;
	font-weight: 400;
	line-height: 1.42188rem;
	padding-right: 0.5625rem;
}

.desc__title p::after {
	content: "";
	position: absolute;
	top: 50%;
	right: 0;
	transform: translateY(-50%);
	height: 45%;
	background-color: #ccc;
	width: 0.07rem;
}

.desc__title img {
	padding-left: 0.5625rem;
	width:  1.625rem !important;
	height: 0.625rem !important;
}

.desc__content {
	margin-top: 0.75rem;
	width: 13.711rem;
}

.desc__content {
	color: #aaa;
	font-size: 0.875rem;
	font-style: normal;
	font-weight: 400;
	line-height: 1.42188rem; /* 162.5% */
}

.footer__document--img img,
.footer__document--img {
	width: 15.45706rem;
	height: 8.69456rem;
	position: relative;
	z-index: 10;
	overflow: hidden;
}

.footer__document--img img {
	transform: translateY(1rem);
	box-shadow: 0px 4px 24.8px 0px rgba(0, 0, 0, 0.27);
	transition: transform 0.5s ease;
}

.footer__document--img:hover img {
	transform: translateY(0);
	box-shadow: 0px 4px 24.8px 0px rgba(0, 0, 0, 0.27);
}

.footer__document {
	display: flex;
	align-items: flex-end;
	border-bottom: 1px solid #f1f1f1;
	position: relative;
}

.footer__document--bg {
	position: absolute;
	right: -8rem;
	bottom: 0;
	z-index: 1;
	width: 36.8125rem;
	height: 10.1875rem;
}

.footer__document--text {
	padding-top: 4rem;
	padding-left: 2.06rem;
	padding-bottom: 1.8575rem;
	padding: 4rem 3.25rem 1.8575rem 2.06rem;
}

.footer__document--text h4 {
	color: #333;
	font-size: 1.5rem;
	font-style: normal;
	font-weight: 400;
	line-height: 2rem; /* 133.333% */
}

.footer__document--text p {
	color: #666;
	font-size: 0.875rem;
	font-style: normal;
	font-weight: 400;
	line-height: 1.125rem; /* 128.571% */
	width: 11.53772rem;
	margin-top: 0.575rem;
	margin-bottom: 1.5125rem;
}

.footer__hotline {
	display: flex;
	align-items: center;
	justify-content: space-between;
	height: 9.675rem;
	padding-left: 2.125rem;
}

.footer__hotline--number {
	display: flex;
	flex-direction: column;
}

.footer__hotline--number p,
.footer__hotline--number a:last-child,
.footer__hotline--zalo p {
	color: #999;
	font-size: 0.875rem;
	font-style: normal;
	font-weight: 400;
	line-height: 1.5rem; /* 171.429% */
	text-decoration: none;
}

.footer__hotline--number .footer__hotline--phone-number a {
	color: #333;
	font-size: 1.75rem;
	font-style: normal;
	font-weight: 400;
	line-height: 2.33313rem; /* 133.321% */
	text-decoration: none;
}

.footer__hotline--number a:last-child {
	margin-top: 0.57rem;
}

.footer__hotline--zalo {
	display: flex;
	align-items: center;
}

.footer__hotline--zalo .zalo {
	display: flex;
	width: 3.3rem;
	height: 3.3rem;
	padding: 0rem 0.42975rem 0rem 0.50144rem;
	justify-content: center;
	align-items: center;
	flex-shrink: 0;
	border-radius: 1.65rem;
	border: 1px solid #f1f1f1;
	margin-left: 0.95rem;
}

.footer__copyright {
	color: #ccc;
	font-size: 0.875rem;
	font-style: normal;
	font-weight: 400;
	line-height: 1.5rem; /* 171.429% */
	display: flex;
	justify-content: space-between;
	align-items: center;
	width: 93.5625rem;
	margin: 0 auto;
	height: 3.1125rem;
/* 	padding-top: 1.725rem; */
}

.footer__copyright--left {
	display: flex;
	align-items: center;
}

.footer__copyright--left p:first-child {
	position: relative;
	padding-right: 1rem;
}

.footer__copyright--left p:first-child:after {
	content: "";
	position: absolute;
	top: 50%;
	right: 0;
	transform: translateY(-50%);
	height: 45%;
	background-color: #ccc;
	width: 0.05rem;
}

.footer__copyright--left p:last-child {
	margin-left: 1rem;
}

.footer__document--download {
	position: relative;
	z-index: 10;
	cursor: pointer;
	border: none;
	display: inline-flex;
	max-width: 47.22188rem;
	background: #293844;
	padding-right: 0.4375rem;
	height: 2.925rem;
}

.footer__document--download p {
	margin: 0;
	width: fit-content;
	padding-top: 1.15rem;
	padding-left: 1rem;
	padding-bottom: 0.73rem;
	padding-right: 1rem;
	color: white;
}

.footer__document--download img {
	margin-top: 1rem;
	width: 1rem;
	height: 1rem;
	transform: translateX(0);
	transition: transform 0.6s ease, opacity 0.6s ease;
	opacity: 0;
	position: relative;
	z-index: 10;
	margin-left: -1rem;
}

.footer__document--download:hover img {
	transform: translateX(1.575rem);
	opacity: 1;
}

.footer__document--square {
	background: white;
	margin-top: 0.4375rem;
	animation: rotate_reset 0.4s linear forwards;
}

.footer__document--download:hover .footer__document--square {
	animation: rotate_big 0.4s linear forwards;
}

.footer__document--download-text {
	overflow: hidden;
	display: flex;
	flex-direction: column;
}

.footer__document--download-text .top,
.footer__document--download-text .bottom {
	transition: transform 0.3s ease-out, color 0.3s ease-out;
	color: white;
}

.footer__document--download-text .bottom {
	transform: translateY(100%);
}

.footer__document--download:hover .footer__document--download-text .bottom {
	transform: translateY(-100%);
}

.footer__document--download:hover .footer__document--download-text .top {
	transform: translateY(-250%);
	animation: flashColor 0.4s ease-out forwards;
}

.tooltip {
	position: relative;
	display: inline-block;
	margin-right: 20px;
	cursor: pointer;
}

.tooltip .tooltip__zalo {
	width: 5.91625rem;
	height: 6.5rem;
	position: absolute;
	z-index: 30;
	opacity: 0;
	transition: opacity 0.3s ease, transform 0.3s ease;
	top: -6.75rem;
	right: -4.3rem;
	transform: translate(-50%, 30%) scale(0.8);
	background: url("../images/tooltip.svg") no-repeat center;
	background-size: cover;
	filter: drop-shadow(0px 4px 20.9px rgba(0, 0, 0, 0.12));
	display: flex;
	justify-content: center;
	align-items: center;
	padding-bottom: 0.5rem;
}

.tooltip:hover .tooltip__zalo {
	opacity: 1;
	transform: translate(-50%, 0%) scale(1);
	pointer-events: auto;
}

.tooltip__zalo img {
	width: 5.15994rem;
	height: 5.15994rem;
}

.footer__document--bg-mb {
	display: none;
}

.desc__title p,
.desc__content {
	transition: opacity 0.3s ease, transform 0.3s ease;
	opacity: 1;
	transform: translateY(0);
}

.desc__title.p--animating,
.desc__content--animating {
	opacity: 0;
	transform: translateY(10px);
}

.footer__logo {
	display: flex;
	flex-direction: column;
	justify-content: space-between;
}

.footer__social {
	display: flex;
	position: relative;
	z-index: 30;
	padding-bottom: 1.625rem;
}

.footer__social a {
	width: 2.75rem;
	height: 2.75rem;
	display: flex;
	justify-content: center;
	align-items: center;
	border-radius: 1.375rem;
	border: 0.917px solid rgba(120, 120, 120, 0.17);
	margin-right: 0.3rem;
}

.footer__social img {
	width: 1rem;
	height: 1rem;
	margin-top: 0;
	object-fit: contain;
}

@media screen and (max-width: 639.9px) {
	footer {
		padding-bottom: 4rem;
	}
	.footer__main {
		width: 23.4375rem;
		height: 100%;
	}

	.footer__hotline,
	.footer__link--desc {
		display: none;
	}

	.footer__main,
	.footer__left {
		flex-direction: column-reverse;
	}

	.footer__right {
		border-radius: 0.46875rem;
		border: 1px solid #eee;
		margin: 0 0.625rem;
	}

	.footer__document {
		justify-content: space-between;
		overflow: hidden;
		padding-right: 1.5rem;
	}

	.footer__document--bg {
		top: -2.875rem;
		right: -9rem;
	}

	.footer__document--text {
		padding: 1.125rem 0 0 1.125rem;
	}

	.footer__document--text > p {
		display: none;
	}

	.footer__document--img img,
	.footer__document--img {
		width: 7.99363rem;
		height: 4.63394rem;
	}

	.footer__document--img img {
		transform: translateY(0);
	}

	.footer__document--text h4 {
		font-size: 1rem;
		font-style: normal;
		font-weight: 400;
		line-height: 150%; /* 1.5rem */
		white-space: nowrap;
		margin-bottom: 0.3125rem;
	}

	.footer__document--bg {
		top: -2.875rem;
	}

	.footer__document--bg-mb {
		width: 23.4375rem;
		position: absolute;
		display: block;
	}

	.footer__document--download {
		max-width: 22.08475rem;
		height: 2.225rem;
		margin-bottom: 0.725rem;
	}

	.footer__document--download p {
		padding-top: 0.25rem;
		padding-left: 0.75rem;
		padding-bottom: 0;
		padding-right: 1rem;
		color: white;
	}

	.footer__document--download-text {
		font-size: 0.46769rem;
		font-style: normal;
		font-weight: 400;
		line-height: 0.56119rem; /* 120% */
	}

	.text.top {
		padding-top: 0.5rem;
	}

	.footer {
		border: none;
	}

	.footer__link {
		display: block;
	}

	.footer__link ul li {
		border-top: 1px solid #eee;
		border-bottom: none;
		padding: 0.3125rem 0;
	}

	.footer__link ul li a {
		margin: 0.6875rem 0rem 0.6875rem 1.17188rem;
	}

	.footer__link li a::before {
		display: none;
	}

	.footer__link li a::after {
		display: none;
	}

	.footer__link-img {
		display: none !important;
	}

	.footer__link nav {
		padding-top: 1.625rem;
	}

	.footer__bg--left {
		display: none;
	}

	.footer__logo {
		display: flex;
		padding: 1.5rem 0.625rem 1.2rem;
		width: 23.2625rem;
		border-top: 1px solid #eee;
		border-bottom: 1px solid #eee;
		background: #f5f7f9;
	}

	.footer__logo img {
		padding-top: 0rem;
		width: 8.84069rem;
	}

	.footer__logo p {
		margin-top: 0;
		color: #666d80;
		font-size: 0.625rem;
		font-style: normal;
		font-weight: 400;
		line-height: 0.8255rem; /* 132.083% */
		width: 11.41006rem;
	}

	.footer__copyright {
		background: #f5f7f9;
		height: 100%;
		width: 100%;
		flex-direction: column;
		align-items: center;
		justify-content: center;
		padding: 0.6875rem 0;
	}

	.footer__copyright p {
		font-size: 0.75rem;
		font-style: normal;
		font-weight: 400;
		line-height: 1.5rem; /* 200% */
	}

	.footer__copyright > p {
		margin-top: -0.3125rem;
	}

	.footer__copyright--left p:first-child {
		padding-right: 0.375rem;
	}

	.footer__copyright--left p:last-child {
		margin-left: 0.375rem;
	}

	.footer__document--download:hover .footer__document--square {
		animation: rotate_big_mb 0.5s linear forwards;
	}

	.footer__document--square {
		animation: rotate_reset_mb 0.5s linear forwards;
	}

	.footer__document--download:hover img {
		transform: translateX(1.075rem);
	}

	.footer__document--download img {
		margin-top: 0.8125rem;
		width: 0.75rem;
		height: 0.75rem;
	}
	.footer-blur-overlay {
		bottom: 99.94%;
	}

	.footer__logo img {
		padding: 0;
		margin: 0;
	}

	.footer__social {
		display: none;
	}

	.footer__logo-brand {
		display: flex;
		justify-content: space-between;
		align-items: center
	}
}

@keyframes rotate_reset {
	0% {
		transform: rotate(-180deg);
		width: 2.1875rem;
		height: 2.125rem;
	}
	100% {
		transform: rotate(0deg);
		width: 0.4rem;
		height: 0.4rem;
	}
}

@keyframes rotate_big {
	0% {
		transform: rotate(0deg);
		width: 0.4rem;
		height: 0.4rem;
	}
	100% {
		transform: rotate(-180deg);
		width: 2.1875rem;
		height: 2.125rem;
	}
}

@keyframes rotate_reset_mb {
	0% {
		transform: rotate(-180deg);
		width: 1.4rem;
		height: 1.4rem;
	}
	100% {
		transform: rotate(0deg);
		width: 0.4rem;
		height: 0.4rem;
	}
}

@keyframes rotate_big_mb {
	0% {
		transform: rotate(0deg);
		width: 0.4rem;
		height: 0.4rem;
	}
	100% {
		transform: rotate(-180deg);
		width: 1.4rem;
		height: 1.4rem;
	}
}

@keyframes flashColor {
	0% {
		color: white;
	}
	50% {
		color: #1550e5;
	}
	100% {
		color: white;
	}
}
